Skip to content
Streamkap
Esc
↑↓navigate↵open⌘Jpreview

Is Cluster Scaling Enabled

Lightweight capability check for the cluster view.

enabled: the current service is BYOC, so the cluster info view is available. scaling_available: a cluster_configs record also exists, so scale operations are possible.

GET/cluster/enabled
Authorization
AuthorizationBearer token · headerrequired
Responses
200

Successful Response

object
Request
curl -X GET 'https://api.streamkap.com/cluster/enabled' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{}